#include <SoftwareSerial.h>
 
SoftwareSerial ArduinoMaster(10, 11);  // RX, TX    ; ArduinoMaster est le nom du canal/serial que l'on crée pour cette communication

String msg;

void setup(){
  Serial.begin(9600);
  ArduinoMaster.begin(9600);    
}

void loop(){
  
  readSerialPort();
  
  // Send answer to master
  if(msg!="")
  {
    
      Serial.print("Master sent : " );
      Serial.println(msg);
      ArduinoMaster.print(msg);
      msg=""; 
    
  }
}



void readSerialPort(){
 while (ArduinoMaster.available())    // pour tester si des données sont disponible dans le buffer du port série
 {
   delay(10); 
   
   if (ArduinoMaster.available() >0) 
   {
     char c = ArduinoMaster.read();  //gets one byte from serial buffer; pour lire les données du port série
     msg += c;    //makes the string readString
   }
 }
 
 ArduinoMaster.flush();
 
}


 
